Skip to main content
`Ctrl`+`K`

# TaoBRGNGetSubsolver

Get the pointer to the subsolver inside a `TAOBRGN`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNGetSubsolver(Tao tao, Tao *subsolver)

Collective

## Input Parameters

- tao - the Tao solver context

- subsolver - the `Tao` sub-solver context

## See Also

`Tao`, `Mat`, `TAOBRGN`

## Level

advanced

## Location

src/tao/leastsquares/impls/brgn/brgn.c

## Implementations

TaoBRGNGetSubsolver_BRGN() in src/tao/leastsquares/impls/brgn/brgn.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages